package rentComputer

import (
	"github.com/gin-gonic/gin"
	v1 "log-server/api/v1"
)

type RentSetMealRouter struct {
}

func (e *RentSetMealRouter) InitRentSetMealRouter(Router *gin.RouterGroup) {
	excelRouter := Router.Group("rentSetMeal")
	rentSetMealApi := v1.ApiGroupApp.RentComputerApiGroup.ApiRentSetMeal
	{
		excelRouter.POST("getRentSetMealList", rentSetMealApi.GetRentSetMealList) //查询记录
		excelRouter.POST("getRentSetMealNum", rentSetMealApi.GetRentSetMealNum)
		excelRouter.POST("getRentSetMealById", rentSetMealApi.GetRentSetMealById)           // 查询单条记录
		excelRouter.POST("addRentSetMeal", rentSetMealApi.AddRentSetMeal)                   //添加记录
		excelRouter.PUT("editRentSetMeal", rentSetMealApi.EditRentSetMeal)                  //修改记录
		excelRouter.DELETE("deleteRentSetMealByIds", rentSetMealApi.DeleteRentSetMealByIds) // 删除多条记录
		excelRouter.DELETE("deleteRentSetMealById", rentSetMealApi.DeleteRentSetMealById)   // 删除单个记录
	}
}
